Install DataMiner on the production machines for 3.10
Status: Closed Start date: Feb 18, 2016

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Infrastructure: Production   

Description

DataMiner should be installed, one machine at time, on the production environment machines:

dataminer1-p-d4s.d4science.org

dataminer2-p-d4s.d4science.org

 After each installation I can run tests to verify the correctness.

The recent automatic installation by Andrea @andrea.dellamico@isti.cnr.it  works in the development environment

(dataminer1-d-d4s.d4science.org).

History

#1 - Feb 18, 2016 11:44 AM - Andrea Dell'Amico

dataminer2-p-d4s.d4science.org is updated already, as I wrote yesterday. You only need to start the tomcat instance to be able to test it.

#2 - Feb 18, 2016 12:21 PM - Gianpaolo Coro

The following keys should be placed in the tomcat/webapps/wps/ecocfg/PARALLEL_PROCESSING/ folder to make all algorithms run

FARM.gcubekey

d4science.research-infrastructures.eu.gcubekey

gCubeApps.gcubekey

 I remember this was in the previous production installation script.

#3 - Feb 18, 2016 12:32 PM - Andrea Dell'Amico

The script is there, a tag was missing and it was excluded from the upgrade tasks list.

Now it's fixed and the keys are in place.

#4 - Feb 18, 2016 12:39 PM - Gianpaolo Coro

dataminer2-p-d4s.d4science.org works correctly! dataminer1-p has been shutdown, so that dataminer2 responds to dataminer.d4science.org (and

works).

Thus, the dataminer.d4science.org service is working now for all the algorithms. That's good news. 

Once dataminer1-p will have been installed I will repeat tests on it.

#5 - Feb 18, 2016 02:17 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Assignee changed from Tommaso Piccioli to _InfraScience Systems Engineer

- % Done changed from 0 to 70

I'm starting the deploy of dataminer1-p

#6 - Feb 18, 2016 02:24 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 70 to 100

dataminer1-p-d4s's upgrade is finished. I shut down the container.

#7 - Feb 18, 2016 02:48 PM - Gianpaolo Coro
The tomcat on dataminer1-p-d4s doesn't start or does not respond (no logging and no answers from the applications). Maybe something went wrong

when you re-installed the environment?

#8 - Feb 18, 2016 05:24 PM - Gianpaolo Coro

It seems to be an issue with the javaassist lib of tomcat. Did you meet this error previously?

2016-02-18 14:20:22,579 [localhost-startStop-1] INFO  org.apache.catalina.startup.HostConfig- Deploying web ap

plication archive /home/gcube/tomcat/webapps/common-smartgears-probe.war

2016-02-18 14:20:23,677 [localhost-startStop-1] ERROR org.apache.catalina.startup.ContextConfig- Unable to pro

cess Jar entry [javassist/ByteArrayClassPath.class] from Jar [jar:file:/home/gcube/tomcat/lib/javassist-3.19.0

-GA.jar!/] for annotations

java.io.EOFException

        at java.io.DataInputStream.readUnsignedShort(DataInputStream.java:340)

        at org.apache.tomcat.util.bcel.classfile.Utility.swallowMethodParameters(Utility.java:797)

        at org.apache.tomcat.util.bcel.classfile.Attribute.readAttribute(Attribute.java:171)

        at org.apache.tomcat.util.bcel.classfile.FieldOrMethod.<init>(FieldOrMethod.java:57)

        at org.apache.tomcat.util.bcel.classfile.Method.<init>(Method.java:71)

        at org.apache.tomcat.util.bcel.classfile.ClassParser.readMethods(ClassParser.java:267)

        at org.apache.tomcat.util.bcel.classfile.ClassParser.parse(ClassParser.java:127)

        at org.apache.catalina.startup.ContextConfig.processAnnotationsStream(ContextConfig.java:2058)

        at org.apache.catalina.startup.ContextConfig.processAnnotationsJar(ContextConfig.java:1934)

        at org.apache.catalina.startup.ContextConfig.processAnnotationsUrl(ContextConfig.java:1900)

        at org.apache.catalina.startup.ContextConfig.processAnnotations(ContextConfig.java:1885)

        at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1317)

        at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:876)

        at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:374)

        at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117)

        at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)

        at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5378)

        at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

        at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

        at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

        at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:649)

        at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1083)

        at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1880)

        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

        at java.util.concurrent.FutureTask.run(FutureTask.java:262)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

        at java.lang.Thread.run(Thread.java:745)

2016-02-18 14:20:23,683 [localhost-startStop-1] ERROR org.apache.catalina.startup.ContextConfig- Unable to pro

cess Jar entry [javassist/CannotCompileException.class] from Jar [jar:file:/home/gcube/tomcat/lib/javassist-3.

19.0-GA.jar!/] for annotations

java.io.EOFException

        at java.io.DataInputStream.readUnsignedShort(DataInputStream.java:340)

        at org.apache.tomcat.util.bcel.classfile.Utility.swallowMethodParameters(Utility.java:796)

        at org.apache.tomcat.util.bcel.classfile.Attribute.readAttribute(Attribute.java:171)

        at org.apache.tomcat.util.bcel.classfile.FieldOrMethod.<init>(FieldOrMethod.java:57)

        at org.apache.tomcat.util.bcel.classfile.Method.<init>(Method.java:71)

        at org.apache.tomcat.util.bcel.classfile.ClassParser.readMethods(ClassParser.java:267)

        at org.apache.tomcat.util.bcel.classfile.ClassParser.parse(ClassParser.java:127)

        at org.apache.catalina.startup.ContextConfig.processAnnotationsStream(ContextConfig.java:2058)

        at org.apache.catalina.startup.ContextConfig.processAnnotationsJar(ContextConfig.java:1934)

        at org.apache.catalina.startup.ContextConfig.processAnnotationsUrl(ContextConfig.java:1900)

        at org.apache.catalina.startup.ContextConfig.processAnnotations(ContextConfig.java:1885)

        at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1317)

        at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:876)

#9 - Feb 18, 2016 08:51 PM - Andrea Dell'Amico

This one happens on all the dataminer installation when tomcat starts. I told you on skype the other day about it. It seems harmless.

The problem was instead that /home/gcube/Smartgears/state/ghn.xml was corrupted. Removing the 'state' directory solves the problem. It happens

regularly when the container is restarted more than once and there's a small amount of time from one restart and the other. I opened a bug about it

some days ago: https://support.d4science.org/issues/2176

I just removed /home/gcube/Smartgears/state, you can start the server at any time now.

#10 - Feb 18, 2016 09:10 PM - Andrea Dell'Amico

I also imported into the pom.xml used by the playbook the dependencies that you sent me:

<dependency>

           <groupId>org.gcube.dataanalysis</groupId>
<artifactId>ecological-engine-external-algorithms</artifactId>

<version>[1.1.5-SNAPSHOT,2.0.0-SNAPSHOT)</version>

           <exclusions>

               <exclusion>

                   <artifactId>slf4j-api</artifactId>

                   <groupId>org.slf4j</groupId>

               </exclusion>

               <exclusion>

<artifactId>common-utils-encryption</artifactId>

                   <groupId>org.gcube.core</groupId>

               </exclusion>

               <exclusion>

<artifactId>common-encryption</artifactId>

                   <groupId>org.gcube.core</groupId>

               </exclusion>

               <exclusion>

<artifactId>accounting-lib</artifactId>

<groupId>org.gcube.accounting</groupId>

               </exclusion>

           </exclusions>

       </dependency>

#11 - Feb 18, 2016 09:38 PM - Gianpaolo Coro

- Status changed from Feedback to Closed

It works! Both are in production environment.
